Minimum Requirements  

As you will be accessing material and learning online you will need to have access to a computer and the Internet. The following are the minimum computer requirements for all courses:

Hardware Required

  • Either an IBM-compatible PC running Windows 98 or later, (a Pentium class PC with 64MB+ of memory is recommended, Windows XP is preferred), or a Mac computer with OS X.
  • A Modem or other access to the Internet, (minimum 56k modem recommended).

Software

  • Flash Player must be installed on your computer, (see below)
  • Shockwave Player must be installed on your computer, (see below)
  • JavaScript must be enabled on your computer, (see below)
  • One of the following Internet Browsers, (the software you are using to view this page), must be installed on your computer:
    • On a Windows PC - Internet Explorer 7.0 or later or Firefox 3.0 or later
    • On Mac computers - Safari 1.3.1 or later.


JavaScript is enabled on your browser. Requirement is met. No action required.
Your current web browser is up to date Requirement is met. No action required.
Flash is installed on your browser. Requirement is met. No action required.
Either the Shockwave plugin could not be detected or it is not installed. Attention required! You can download the Shockwave Plugin from here:
Get Shockwave